geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Jencks <david_jen...@yahoo.com>
Subject how to support a jta1.1 tx manager in a j2ee 1.4 container
Date Sun, 10 Sep 2006 19:25:26 GMT
To get jpa support in we need a jta1.1 transaction manager.  There  
are two possibilities I can think of:

-- Sun might let us certify under j2ee 1.4 while including the jta1.1  
spec jar.  AFAIK only Geir can find out if this is possible.  If we  
can do this, it's by far the best solution.

-- We can make the tx manager/connector stuff a separate module,  
perhaps a plugin, and make 2 versions of anything that uses it.  IIUC  
the parent-child listing on the system modules page, only openejb has  
a dependency on the tx manager that would be affected by this.  I  
think everything else can be dealt with using a modified  
defaultEnvironement.... but I could be very wrong here, we might need  
more versions of all the j2ee apps we deploy :-((((((  In any case I  
think splitting the tx/connector stuff into a separate module would  
be a good idea.

I'm going to look into the second option.... Geir, can you look into  
the first?

thanks
david jencks


Mime
View raw message